# Uses of Enum Class
org.bukkit.inventory.recipe.CraftingBookCategory

Packages that use CraftingBookCategory
Package
Description
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.
org.bukkit.inventory.recipe
New location for recipe-related classes.

## Uses of CraftingBookCategory in org.bukkit.inventory

Methods in org.bukkit.inventory that return CraftingBookCategory
Modifier and Type
Method
Description
`@NotNull CraftingBookCategory`
ShapedRecipe.`getCategory()`
Gets the category which this recipe will appear in the recipe book under.
`@NotNull CraftingBookCategory`
ShapelessRecipe.`getCategory()`
Gets the category which this recipe will appear in the recipe book under.
Methods in org.bukkit.inventory with parameters of type CraftingBookCategory
Modifier and Type
Method
Description
`void`
ShapedRecipe.`setCategory(@NotNull CraftingBookCategory category)`
Sets the category which this recipe will appear in the recipe book under.
`void`
ShapelessRecipe.`setCategory(@NotNull CraftingBookCategory category)`
Sets the category which this recipe will appear in the recipe book under.

## Uses of CraftingBookCategory in org.bukkit.inventory.recipe

Methods in org.bukkit.inventory.recipe that return CraftingBookCategory
Modifier and Type
Method
Description
`static CraftingBookCategory`
CraftingBookCategory.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CraftingBookCategory[]`
CraftingBookCategory.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.